Skip to content
Permalink
Browse files

Python 3.5->3.7 (#526)

* Python 3.5->3.7
* Switch travis to xenial for python3.7
* Update tox and manifest in preparation for Python37
* Explicitly add pyaaf2 to tox (seems to be necessary for unknown reasons)
  • Loading branch information...
ssteinbach committed Jun 27, 2019
1 parent 4ec5cb7 commit c729612b9e7f09222a3c9a9cd2eb6954782b6f3d
Showing with 10 additions and 7 deletions.
  1. +3 −2 .travis.yml
  2. +2 −0 MANIFEST.in
  3. +2 −2 README.md
  4. +1 −1 setup.py
  5. +2 −2 tox.ini
@@ -1,15 +1,16 @@
language: python
dist: xenial
python:
- "2.7"
- "3.5"
- "3.6"
- "3.7"

before_install:
# Note that pyaaf is only needed for the AAF adapter
# We need to get a wheel that matches our Python version
- if [[ $TRAVIS_PYTHON_VERSION == 2.7 ]]; then export TOX_ENV=py27 ; fi
- if [[ $TRAVIS_PYTHON_VERSION == 3.5 ]]; then export TOX_ENV=py35 ; fi
- if [[ $TRAVIS_PYTHON_VERSION == 3.6 ]]; then export TOX_ENV=py36 ; fi
- if [[ $TRAVIS_PYTHON_VERSION == 3.7 ]]; then export TOX_ENV=py37 ; fi

install:
# tox-travis installs tox and also makes working with travis better.
@@ -16,4 +16,6 @@ exclude opentimelineio_contrib/adapters/Makefile
exclude Makefile

recursive-exclude opentimelineio_contrib/adapters/tests *
recursive-exclude **/__pycache__ *
global-exclude *.py[co]
recursive-exclude tests *
@@ -2,7 +2,7 @@
==============

[![Supported VFX Platform Versions](https://img.shields.io/badge/vfx%20platform-2016--2019-lightgrey.svg)](http://www.vfxplatform.com/)
![Supported Versions](https://img.shields.io/badge/python-2.7%2C%203.5%2C%203.6-blue.svg)
![Supported Versions](https://img.shields.io/badge/python-2.7%2C%203.6%2C%203.7-blue.svg)
[![Build Status](https://travis-ci.com/PixarAnimationStudios/OpenTimelineIO.svg?branch=master)](https://travis-ci.com/PixarAnimationStudios/OpenTimelineIO)
[![codecov](https://codecov.io/gh/PixarAnimationStudios/OpenTimelineIO/branch/master/graph/badge.svg)](https://codecov.io/gh/PixarAnimationStudios/OpenTimelineIO)
[![docs](https://readthedocs.org/projects/opentimelineio/badge/?version=latest)](https://opentimelineio.readthedocs.io/en/latest/index.html)
@@ -102,7 +102,7 @@ You can install development dependencies with `pip install -e .[dev]`

You can also install the PySide2 dependency with `pip install -e .[view]`

Currently the code base is written against python 2.7 and python 3.5, in keeping
Currently the code base is written against python 2.7, python 3.6 and 3.7, in keeping
with the pep8 style. We ask that before you submit a pull request, you:

- run `make test` -- to ensure that none of the unit tests were broken
@@ -188,8 +188,8 @@ def test_otio():
'Programming Language :: Python :: 2',
'Programming Language :: Python :: 2.7',
'Programming Language :: Python :: 3',
'Programming Language :: Python :: 3.5',
'Programming Language :: Python :: 3.6',
'Programming Language :: Python :: 3.7',
'Operating System :: OS Independent',
'Natural Language :: English',
],
@@ -1,5 +1,5 @@
[tox]
envlist = clean,py27,py35,py36,stats
envlist = clean,py27,py36,py37,stats
skip_missing_interpreters = true

[flake8]
@@ -20,7 +20,7 @@ deps =
flake8
Pillow
mock

pyaaf2==1.2.0
commands =
check-manifest --ignore tox.ini,tests*,requirements* --ignore-bad-ideas *.egg-info,*egg-info/*
flake8 opentimelineio

0 comments on commit c729612

Please sign in to comment.
You can’t perform that action at this time.